Subject: Re: bug#45502: [PATCH] Prettier key bindings in NS menu entries

From: Mattias Engdegård <[email-masked]>
Date: Tue, 29 Dec 2020 18:34:20 +0100

29 dec. 2020 kl. 16.50 skrev Alan Third <[email-masked]>:

> As far as I'm aware GNUstep is able to display the bindings correctly
> no matter how many characters they have, so we don't need the
> work-around. And I'm hoping that we'll be able to get GNUstep menus
> working again in the future.

All right, I've done what I think you meant and pushed to master; please tell me if I'm on the wrong track.

Here is a proof-of-concept patch for using fancy symbols instead of <right> etc.
Not production quality because (1) it's obviously ugly code, (2) I'm unsure about the PgUp/PgDn/Home/End symbols and (3) it only works with modifiers if the patch in bug#45536 is applied (which of course I think it should), but at least it gives a feeling for whether it's a good thing to do or not.

There is also the question whether to follow the platform convention of always using upper case letters, with an explicit Shift modifier if necessary.